Subject: [Idr] Re: Request for comments on draft-li-idr-flowspec-sr-policy
From: "[email-masked]" <[email-masked]>
To: zhang.zheng <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, draft-li-idr-flowspec-sr-policy <[email-masked]>
Date: Thu, 3 Jul 2025 09:05:05 +0800
List-Id: Inter-Domain Routing <idr.ietf.org>

Hello Sandy,

Sure, some descriptions will be added.

Regards,
Zhenqiang Li
China Mobile

[email-masked]
 
From: [email-masked]
Date: 2025-07-02 10:42
To: [email-masked]
CC: [email-masked]; [email-masked]
Subject: Re: [Idr] Re: Request for comments on draft-li-idr-flowspec-sr-policy
Hi Zhenqiang, 
thank you for your reply!
For point 3 and 4, I think adding more descriptions might make it clearer.
Thank you!
Best regards,
Sandy

Original
From: [email-masked] <[email-masked]>
To: 张征00007940;
Cc: [email-masked] <[email-masked]>;draft-li-idr-flowspec-sr-policy <[email-masked]>;
Date: 2025年07月01日 18:29
Subject: Re: [Idr] Re: Request for comments on draft-li-idr-flowspec-sr-policy
Hello Sandy,

Thank you very much for your comments and questions. Sorry for the late response.

1. Will add in next version.
2. As defined in RFC9256, the headend of a SR policy is specified as an IPv4 or IPv6 address.
3. No, not always. It depends on the application scenario. When the last SID of a SR policy path is not USD flavored, a srv6 sid action is needed.
4. Yes, you can. draft-ietf-idr-flowspec-srv6 defines match rules for BGP Flowspec, and this doc defines actions for BGP Flowspec. So, they can work together. The message matching the rules defined in  draft-ietf-idr-flowspec-srv6 will be redirected to the SR policy defined in this doc. A new segment list will be encapsulated in the new outer header.

Regards,
Zhenqiang Li
China Mobile

[email-masked]
 
From: [email-masked]
Date: 2025-06-13 14:16
To: [email-masked]
CC: idr; draft-li-idr-flowspec-sr-policy
Subject: [Idr] Re: Request for comments on draft-li-idr-flowspec-sr-policy
Hi Zhenqiang, 
After reading this draft, I have some questions and comments: 
1. In section 2.1, it would be better to add a reference to the color extended community in RFC9256 in the description of policy color;
2. Under what circumstances is it necessary to use the redirection to SRv6 policy when the endpoint is IPv4?
3. When the sr-policy in section 2.1 and the srv6 sid in section 2.2 are used together, is it necessary to always use the SRv6 SID as the last segment?
4. Can this draft be used with the match operation defined in draft-ietf-idr-flowspec-srv6? If so, what is the operation on the message when the match condition is matched? If the original message has a segment list, should the original segment list be removed and a new segment list be used?
Thank you for your consideration!
Best regards,
Sandy

From: [email-masked] <[email-masked]>
To: [email-masked] <[email-masked]>;
Cc: draft-li-idr-flowspec-sr-policy <[email-masked]>;
Date: 2025年06月03日 12:10
Subject: [Idr] Request for comments on draft-li-idr-flowspec-sr-policy
_______________________________________________
Idr mailing list -- [email-masked]
To unsubscribe send an email to [email-masked]
Hello all,

A new draft, https://datatracker.ietf.org/doc/draft-li-idr-flowspec-sr-policy/, was submitted in March, which difines two new standard actions for the BGP Flowspec version 2 protocol: Redirect to SR Policy Action and SRv6 SID Action. The former allows traffic to be directed to a designated SR Policy, while the latter enables the encapsulation of an additional SRv6 SID as needed during redirection. 

Comments are appreciated!

Thanks and Regards,
Zhenqiang Li
China Mobile

[email-masked]